#include "xsrftriangles.h"

XSrfTriangles::XSrfTriangles()
    : XAsset()
    , mVertexLayerData(0)
    , mFirstVertex(0)
    , mVertexCount(0)
    , mTriCount(0)
    , mBaseIndex(0)
    , mTopMipMins()
    , mTopMipMaxs()
{
    
}

XSrfTriangles::~XSrfTriangles()
{
    
}

void XSrfTriangles::ParseData(QDataStream *aStream)
{
    
}

void XSrfTriangles::Clear()
{
    mVertexLayerData = 0;
    mFirstVertex = 0;
    mVertexCount = 0;
    mTriCount = 0;
    mBaseIndex = 0;
    mTopMipMins = QVector3D();
    mTopMipMaxs = QVector3D();
}
